V1SocialClubs
Browse or search published public clubs
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
cursor?string
Match
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Format
uuidlimit?integer
Range
1 <= value <= 50Default
20q?string
Length
2 <= length <= 80Response Body
application/json
application/json
curl -X GET "https://example.com/v1/social/clubs"{ "clubs": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "summary": "string", "visibility": "private", "coverImage": { "url": "http://example.com", "alt": "string", "source": "ai_generated" }, "memberCount": 0, "membershipStatus": "none", "isOwner": true, "moderationStatus": "pending", "revision": 1, "directoryVisible": false, "postsEnabled": true } ], "nextCursor": "53a4a333-2825-45a4-80d2-5f430d088f36"}What the social surface offers right now GET
Public and read-only. Clients show only what is switched on: club posts and activity cards, member club creation (always off: clubs are created by staff), profile photos, and the version of the Community Rules in force.
Member club creation is unavailable POST
Clubs are created through the platform administrator workspace. This legacy member endpoint rejects creation.